import { Component } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { Router } from '@angular/router';
import {
  FormControl,
  FormGroup,
  NonNullableFormBuilder,
  Validators,
} from '@angular/forms';
import { CommonCompModule } from '../common.modules'
@Component({
  selector: 'app-login',
  standalone: true,
  imports: [
    ReactiveFormsModule,
    CommonCompModule
  ],
  templateUrl: './login.component.html',
  styleUrl: './login.component.scss',
})
export class LoginComponent {
  validateForm: FormGroup<{
    userName: FormControl<string>;
    password: FormControl<string>;
    code: FormControl<string>;
    remember: FormControl<boolean>;
  }> = this.fb.group({
    userName: ['', [Validators.required]],
    password: ['', [Validators.required]],
    code: ['', [Validators.required]],
    remember: [true],
  });
  selector: Array<any> = [
    {
      name: '国家级管理员',
      type: 1,
    },
    {
      name: '省级教育行政部门',
      type: 2,
    },
    {
      name: '流程管理员登录',
      type: 3,
    },
    {
      name: '作者/主编',
      type: 4,
    },
  ];
  current: any = {
    name: '国家级管理员',
    type: 1,
  };
  constructor(private fb: NonNullableFormBuilder, public router: Router) {}
  submitForm(): void {
    if (this.validateForm.valid) {
      console.log('submit', this.validateForm.value);
      this.router.navigate(["/admin"])
    } else {
      Object.values(this.validateForm.controls).forEach((control) => {
        if (control.invalid) {
          control.markAsDirty();
          control.updateValueAndValidity({ onlySelf: true });
        }
      });
    }
  }

  onChange(e: string) {
    this.current = e;
  }

  goUrl(path:string){
    this.router.navigate([path,{
      // type: this.current.type,
    }])
  }
}
